#ifndef COMMON_H
#define COMMON_H

#include <fcntl.h>
#include <sys/stat.h> /* for mode definitions */
#include <unistd.h> /* for read(), write() and close() */

#ifdef MSDOS
#define OPEN_READ_BINARY (O_RDONLY|O_BINARY)
#define OPEN_READ_TEXT (O_RDONLY|O_TEXT)
#define OPEN_WRITE_BINARY (O_WRONLY|O_CREAT|O_BINARY|O_TRUNC)
#define OPEN_WRITE_TEXT (O_WRONLY|O_CREAT|O_TEXT|O_TRUNC)
#define OPEN_WRITE_BINARY_APPEND (O_RDWR|O_CREAT|O_BINARY|O_APPEND)
#define OPEN_WRITE_TEXT_APPEND (O_RDWR|O_CREAT|O_TEXT|O_APPEND)
#else
#define OPEN_READ_BINARY (O_RDONLY)
#define OPEN_READ_TEXT (O_RDONLY)
#define OPEN_WRITE_BINARY (O_WRONLY|O_CREAT|O_TRUNC)
#define OPEN_WRITE_TEXT (O_WRONLY|O_CREAT|O_TRUNC)
#define OPEN_WRITE_BINARY_APPEND (O_RDWR|O_CREAT|O_APPEND)
#define OPEN_WRITE_TEXT_APPEND (O_RDWR|O_CREAT|O_APPEND)
#endif

#ifdef __GNUC__
#define HAVE64BIT
typedef signed long long signed_64bit;
#endif

#endif /* COMMON_H */
